package com.sun.media.sound;

import javax.sound.midi.MidiChannel;

public final class SoftChannelProxy implements MidiChannel
{
    private MidiChannel channel;
    
    public SoftChannelProxy() {
        this.channel = null;
    }
    
    public MidiChannel getChannel() {
        return this.channel;
    }
    
    public void setChannel(MidiChannel channel) {
        this.channel = channel;
    }
    
    @Override
    public void allNotesOff() {
        if (this.channel == null) {
            return;
        }
        this.channel.allNotesOff();
        return;
    }
    
    @Override
    public void allSoundOff() {
        if (this.channel == null) {
            return;
        }
        this.channel.allSoundOff();
        return;
    }
    
    @Override
    public void controlChange(int n, int n2) {
        if (this.channel == null) {
            return;
        }
        this.channel.controlChange(n, n2);
        return;
    }
    
    @Override
    public int getChannelPressure() {
        if (this.channel == null) {
            return 0;
        }
        return this.channel.getChannelPressure();
    }
    
    @Override
    public int getController(int n) {
        if (this.channel == null) {
            return 0;
        }
        return this.channel.getController(n);
    }
    
    @Override
    public boolean getMono() {
        return this.channel != null && this.channel.getMono();
    }
    
    @Override
    public boolean getMute() {
        return this.channel != null && this.channel.getMute();
    }
    
    @Override
    public boolean getOmni() {
        return this.channel != null && this.channel.getOmni();
    }
    
    @Override
    public int getPitchBend() {
        if (this.channel == null) {
            return 8192;
        }
        return this.channel.getPitchBend();
    }
    
    @Override
    public int getPolyPressure(int n) {
        if (this.channel == null) {
            return 0;
        }
        return this.channel.getPolyPressure(n);
    }
    
    @Override
    public int getProgram() {
        if (this.channel == null) {
            return 0;
        }
        return this.channel.getProgram();
    }
    
    @Override
    public boolean getSolo() {
        return this.channel != null && this.channel.getSolo();
    }
    
    @Override
    public boolean localControl(boolean b) {
        return this.channel != null && this.channel.localControl(b);
    }
    
    @Override
    public void noteOff(int n) {
        if (this.channel == null) {
            return;
        }
        this.channel.noteOff(n);
        return;
    }
    
    @Override
    public void noteOff(int n, int n2) {
        if (this.channel == null) {
            return;
        }
        this.channel.noteOff(n, n2);
        return;
    }
    
    @Override
    public void noteOn(int n, int n2) {
        if (this.channel == null) {
            return;
        }
        this.channel.noteOn(n, n2);
        return;
    }
    
    @Override
    public void programChange(int n) {
        if (this.channel == null) {
            return;
        }
        this.channel.programChange(n);
        return;
    }
    
    @Override
    public void programChange(int n, int n2) {
        if (this.channel == null) {
            return;
        }
        this.channel.programChange(n, n2);
        return;
    }
    
    @Override
    public void resetAllControllers() {
        if (this.channel == null) {
            return;
        }
        this.channel.resetAllControllers();
        return;
    }
    
    @Override
    public void setChannelPressure(int channelPressure) {
        if (this.channel == null) {
            return;
        }
        this.channel.setChannelPressure(channelPressure);
        return;
    }
    
    @Override
    public void setMono(boolean mono) {
        if (this.channel == null) {
            return;
        }
        this.channel.setMono(mono);
        return;
    }
    
    @Override
    public void setMute(boolean mute) {
        if (this.channel == null) {
            return;
        }
        this.channel.setMute(mute);
        return;
    }
    
    @Override
    public void setOmni(boolean omni) {
        if (this.channel == null) {
            return;
        }
        this.channel.setOmni(omni);
        return;
    }
    
    @Override
    public void setPitchBend(int pitchBend) {
        if (this.channel == null) {
            return;
        }
        this.channel.setPitchBend(pitchBend);
        return;
    }
    
    @Override
    public void setPolyPressure(int n, int n2) {
        if (this.channel == null) {
            return;
        }
        this.channel.setPolyPressure(n, n2);
        return;
    }
    
    @Override
    public void setSolo(boolean solo) {
        if (this.channel == null) {
            return;
        }
        this.channel.setSolo(solo);
        return;
    }
}
